use bevy::prelude::*;
use bevy_rapier2d::prelude::*;
use player::player_plugin;
use scene::{scene_plugin, PlayerCoords};

use crate::AppState;

mod player;
mod scene;
mod set;

pub const WORLD_DEPTH: f32 = 0.5;
pub const PLAYER_DEPTH: f32 = 0.4;
pub const PLAYER_SIZE_FRACTION: f32 = 0.8;

pub fn game_plugin(app: &mut App) {
    app.add_plugins((player_plugin, scene_plugin));
}
